# FdoBinaryExpression Class Reference

`#include <BinaryExpression.h>`

Inheritance diagram for FdoBinaryExpression:

[legend]

List of all members.

## Detailed Description

The FdoBinaryExpression class derives from FdoExpression and represents string concatenation and the simple arithmetic operations add, subtract, multiply, and divide.

Definition at line 34 of file BinaryExpression.h.

## Public Member Functions
FDO_API FdoExpression * | GetLeftExpression ()
| Gets the expression on the left side of the binary expression.
FDO_API FdoBinaryOperations | GetOperation ()
| Gets the binary operation to be evaluated by this expression.
FDO_API FdoExpression * | GetRightExpression ()
| Gets the expression on the right side of the binary expression.
FDO_API void | Process (FdoIExpressionProcessor *p)
| Overrides FdoExpression.Process to pass the FdoBinaryOperation to the appropriate expression processor operation.
FDO_API void | SetLeftExpression (FdoExpression *value)
| Sets the expression on the left side of the binary expression.
FDO_API void | SetOperation (FdoBinaryOperations value)
| Sets the binary operation to be evaluated by this expression.
FDO_API void | SetRightExpression (FdoExpression *value)
| Sets the expression on the right side of the binary expression.
FDO_API FdoString * | ToString ()
| Returns the well defined text representation of this expression.
virtual FdoString * | ToStringInternal (FdoIdentifierCollection *pIdCol)
| This is an internal method. It returns the well defined text representation of the expression.
## Static Public Member Functions
static FDO_API FdoBinaryExpression * | Create (FdoExpression *leftExpression, FdoBinaryOperations operation, FdoExpression *rightExpression)
| Constructs an instance of an FdoBinaryExpression using the specified arguments.
static FDO_API FdoBinaryExpression * | Create ()
| Constructs a default instance of an FdoBinaryExpression.

The documentation for this class was generated from the following file:

- BinaryExpression.h